/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\lesser\LifesBarricade.cs
Lines of code: 38

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class LifesBarricade : PlateChest
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }
		
		public override int BasePhysicalResistance{ get{ return 30; } }
		public override int BaseFireResistance{ get{ return 30; } }
		public override int BaseColdResistance{ get{ return 30; } }
		public override int BasePoisonResistance{ get{ return 30; } }
		public override int BaseEnergyResistance{ get{ return 30; } }

		
		[Constructable]
		public LifesBarricade() : base()
		{
			Name="Life's Barricade";
			Hue=1344;

			Attributes.BonusDex = -15;
			Attributes.CastSpeed = -1;
			ArmorAttributes.MageArmor = 1;
			ArmorAttributes.LowerStatReq=40;	
		}
		

		

		public LifesBarricade( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
				
	}
	
}